<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.messaging-activemq.server.address-setting" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="address-full-policy,auto-create-addresses,auto-create-jms-queues,auto-create-queues,auto-delete-addresses,auto-delete-created-queues,auto-delete-jms-queues,auto-delete-queues,dead-letter-address,expiry-address,expiry-delay,last-value-queue,max-delivery-attempts,max-read-page-bytes,max-redelivery-delay,max-size-bytes,message-counter-history-day-limit,page-max-cache-size,page-size-bytes,redelivery-delay,redelivery-multiplier,redistribution-delay,send-to-dla-on-no-route,slow-consumer-check-period,slow-consumer-policy,slow-consumer-threshold"/>
        <elem name="addr-params" value="profile,subsystem,server,address-setting"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="address-full-policy" nillable="true" stability="default"/>
        <param name="server" feature-id="true"/>
        <param name="max-size-bytes" nillable="true" stability="default"/>
        <param name="last-value-queue" nillable="true" stability="default"/>
        <param name="slow-consumer-threshold" nillable="true" stability="default"/>
        <param name="auto-delete-created-queues" nillable="true" stability="default"/>
        <param name="auto-create-jms-queues" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="auto-delete-jms-queues" nillable="true" stability="default"/>
        <param name="address-setting" feature-id="true"/>
        <param name="auto-delete-addresses" nillable="true" stability="default"/>
        <param name="dead-letter-address" nillable="true" stability="default"/>
        <param name="redelivery-delay" nillable="true" stability="default"/>
        <param name="slow-consumer-policy" nillable="true" stability="default"/>
        <param name="max-delivery-attempts" nillable="true" stability="default"/>
        <param name="max-redelivery-delay" nillable="true" stability="default"/>
        <param name="send-to-dla-on-no-route" nillable="true" stability="default"/>
        <param name="message-counter-history-day-limit" nillable="true" stability="default"/>
        <param name="auto-delete-queues" nillable="true" stability="default"/>
        <param name="expiry-delay" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="auto-create-queues" nillable="true" stability="default"/>
        <param name="auto-create-addresses" nillable="true" stability="default"/>
        <param name="expiry-address" nillable="true" stability="default"/>
        <param name="max-read-page-bytes" nillable="true" stability="default"/>
        <param name="page-size-bytes" nillable="true" stability="default"/>
        <param name="redelivery-multiplier" nillable="true" stability="default"/>
        <param name="page-max-cache-size" nillable="true" stability="default"/>
        <param name="redistribution-delay" nillable="true" stability="default"/>
        <param name="slow-consumer-check-period" nillable="true" stability="default"/>
    </params>
</feature-spec>